<div class="plc output-statement device-statement" >
    <div class="plc-menu">
        {{config.produceMicorPlanReport}}
    </div>
    <div class="produce-micro-plan-move-module move-module"
         ng-class="{'transform-animateOut':bodyConfig.animateOut,'transform-select':bodyConfig.animateSelect}">
        <div class="plc-content output-statement-heading">
            <div class="row">
                <div class="col-sm-12">
                    <div class="public-horizon-form">
                        <div class="public-horizon">
                            <label class="horizon-label label-4">生产区域：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(focusInput)}">
                                    <input ng-init="focusInput=false" ng-focus="focusInput=true"  ng-blur="focusInput=false"
                                           type="text" value="" placeholder="搜索" class="form-control ad-left-child" ng-disabled="true"
                                           ng-model="statementConfig.currentWorkCenterDesc" ng-change="disableBtn()" ng-keyup="upModel('workArea')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toAreaHelp()" ng-if="config.showSelectArea"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('area')" ng-if="!config.showSelectArea"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4">拉线：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(lineInput)}">
                                    <input ng-init="lineInput=false" ng-focus="lineInput=true"
                                           ng-keyup="upModel('workLine')" ng-disabled="true"
                                           ng-blur="lineInput=false" type="text" value="" placeholder="搜索"
                                           class="form-control ad-left-child" ng-model="statementConfig.currentLineDesc"
                                           ng-change="lineChanged('S')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toWireLineHelp()"
                                       ng-if="config.showSelectLine"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('line')"
                                       ng-if="!config.showSelectLine"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4">设备类型：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceTypeInput)}">
                                    <input ng-init="deviceTypeInput=false" ng-focus="deviceTypeInput=true"
                                           ng-keyup="upModel('deviceCode')" ng-disabled="true"
                                           ng-blur="deviceTypeInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.currentDeviceTypeDesc" ng-change="deviceTypeChanged('T')">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceTypeHelp()"
                                       ng-if="config.deviceType"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceType')" ng-if="!config.deviceType"></i>
                                </div>
                            </div>
                            <label class="horizon-label label-4">设备：</label>
                            <div class="horizon-group horizon-col-3">
                                <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(deviceInput)}">
                                    <input ng-init="deviceInput=false" ng-focus="deviceInput=true"
                                           ng-keyup="upModel()" ng-disabled="false"
                                           ng-blur="deviceInput=false" type="text"
                                           value="" placeholder="搜索" class="form-control ad-left-child"
                                           ng-model="statementConfig.currentDeviceNum" ng-change="disableBtn()">
                                    <i class="fa fa-search ad-right-child focus" ng-click="toDeviceHelp()"
                                       ng-if="config.deviceCode"></i>
                                    <i class="ion-ios-close-outline ad-right-child focus"
                                       ng-click="deleteAll('deviceCode')" ng-if="!config.deviceCode"></i>
                                </div>
                            </div>
                        </div>
                        <div class="public-horizon">
                        <label class="horizon-label label-4"><span class="text-red" ng-if="config.showModel">*</span>Model：</label>
                           <div class="horizon-group horizon-col-3">
                               <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(modelInput)}">
                                   <input ng-init="modelInput=false" ng-focus="modelInput=true" ng-keyup="upModel('model')"
                                          ng-blur="modelInput=false" type="text" value="" ng-disabled="false"
                                          placeholder="搜索" class="form-control ad-left-child" ng-model="config.model" ng-change="disableBtn()">
                                   <i class="fa fa-search ad-right-child focus" ng-click="toModelHelp()" ng-if="!config.model"></i>
                                   <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('model')" ng-if="!!config.model"></i>
                               </div>
                           </div>
                        <label class="horizon-label label-4"><span class="text-red" ng-if="config.showCode">*</span>物料编码：</label>
                           <div class="horizon-group horizon-col-3">
                               <div class="nbox-group-input andon-input-wrapper" ng-class="{'focus':(materialInput)}">
                                   <input ng-init="materialInput=false" ng-focus="materialInput=true"
                                          ng-keyup="upModel('itemCode')" ng-disabled="false"
                                          ng-blur="materialInput=false" type="text"
                                          value="" placeholder="搜索" class="form-control ad-left-child"
                                          ng-model="config.itemCode" ng-change="disableBtn()">
                                   <i class="fa fa-search ad-right-child focus" ng-click="toCodeHelp()" ng-if="!config.itemCode"></i>
                                   <i class="ion-ios-close-outline ad-right-child focus" ng-click="deleteAll('itemCode')" ng-if="!!config.itemCode"></i>
                               </div>
                           </div>
                        <!-- <label class="horizon-label label-4">班次：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select class="andon-content-ui-select" ng-model="statementConfig.currentShift">
                                    <ui-select-match placeholder="--- 请选择 ---">
                                        <span ng-bind="statementConfig.currentShift.description || statementConfig.currentShift.shift"></span>
                                    </ui-select-match>
                                    <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">
                                            <span ng-if="!statementConfig.currentWorkCenter.workCenter"
                                                  class="no-action-color">请先选择生产区域</span>
                                            <span ng-if="!!statementConfig.currentShift.shift" class="no-data-color">暂无班次</span>
                                        </a>
                                    </ui-select-no-choice>
                                    <ui-select-choices
                                            repeat="item in (statementConfig.shiftsChange) track by $index">
                                        <span ng-bind-html="item.descriptionNew | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div> -->
                        <label class="horizon-label label-4">分时段：</label>
                            <div class="horizon-group horizon-col-3">
                                <ui-select class="andon-content-ui-select" ng-model="statementConfig.timeInterval">
                                    <ui-select-match>
                                        <span ng-bind="statementConfig.timeInterval.description"></span>
                                    </ui-select-match>
                                    <!-- <ui-select-no-choice>
                                        <a href ng-click="$select.toggle($event);">
                                            <span ng-if="!statementConfig.currentWorkCenter.workCenter"
                                                  class="no-action-color">请先选择生产区域</span>
                                            <span ng-if="!!statementConfig.currentShift.shift" class="no-data-color">暂无班次</span>
                                        </a>
                                    </ui-select-no-choice> -->
                                    <ui-select-choices repeat="item in (statementConfig.timeChange) track by $index">
                                        <span ng-bind-html="item.description | highlight: $select.search"></span>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                        </div>
                        <div class="public-horizon">
                        	<label class="horizon-label label-4" >历史数据：</label>
                        	<div class="horizon-group horizon-col-3">
	                            <div class="radio radio-primary">
	                                <input type="checkbox"  ng-model="config.showDate" ng-click="dispalayDate()"  ng-checked=false>
	                            </div>
	                        </div>
	                        <label ng-show="config.showDate" class="horizon-label label-4"><span ng-show="config.showDate" class="text-red">*</span>开始时间：</label>
                            <div ng-show="config.showDate" class="horizon-group horizon-col-3">
                                <input type="text" value="" id="reportStartDate"
                                       class="form-control"
                                       ng-model="statementConfig.PMPstartDate"
                                       ng-change="dateChanged('S')"
                                       ng-init="initDateTimePicker('#reportStartDate', {},'Y-m-d',false,false);"/>
                            </div>
                            <label ng-show="config.showDate" class="horizon-label label-4"><span ng-show="config.showDate" class="text-red">*</span>结束时间：</label>
                            <div ng-show="config.showDate" class="horizon-group horizon-col-3">
                                <input type="text" value="" id="reportEndDate"
                                       class="form-control"
                                       ng-model="statementConfig.endDate"
                                       ng-change="dateChanged('S')"
                                       ng-init="initDateTimePicker('#reportEndDate', {},'Y-m-d',false,false);"/>
                            </div>
                            <div class="horizon-btns">
                                <button class="btn btn-primary" ng-click="queryDatas()" ng-disabled="false">查询</button>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <move-template></move-template>
    <div class="plc-content plato-statement-content">
        <div class="row">
            <div class="col-sm-12">

            </div>
        </div>
        <form class="form-horizontal" role="form" ng-if="config.showCount">
            <div class="row statement-title">
                <div class="col-sm-2 col-xs-2" style="width:60%;">
                    <label class="control-label label-title">{{config.dataNum}}</label>
                    <span style="margin-left:50px;vertical-align:middle;display:inline-block;width:60px;height:25px;background-color:#F76F6A"></span>
                    <span style="font-weight:700;font-size:16px">低于分时段目标</span>
                    <span style="margin-left:10px;vertical-align:middle;display:inline-block;width:60px;height:25px;background-color:#2cb861"></span>
                    <span style="font-weight:700;font-size:16px">高于分时段目标</span>
                </div>
                <div class="col-sm-3 col-xs-3">
                </div>
                <div class="col-sm-3 col-xs-3">
                </div>
                <div class="col-sm-2 col-xs-2 px-public-hide-div">
                    <div ng-click="showHideCol()" class="px-public-hide-inline">
                        <i class="fa fa-cog"></i>
                        <div class="px-public-hide-col">显示隐藏列
                        </div>
                    </div>
                </div>
                <div class="statement-save-btn pull-right">
                    <button type="button" id="pullData" class="btn btn-primary" ng-disabled="config.downLoadBtn" ng-click="downLoad()">导出</button>
                </div>
            </div>
        </form>
        		<div id="plc-data-item-grid-area" ui-grid="produceMicroPlanStatement" ng-if="config.queryGridAreaShow"
                     ui-grid-edit ui-grid-cellnav   ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns ui-grid-pinning
                     class="plc-data-item-grid ad-basic-grid" ng-style="getTableHeight()"></div>
    </div>
</div>